### Method

# Adw Carouselset_interactive

#### Declaration [src]

    void
    adw_carousel_set_interactive (
      AdwCarousel* self,
      gboolean interactive
    )

#### Description [src]

Sets whether `self` can be navigated.

This can be used to temporarily disable the carousel to only allow navigating it in a certain state.

Sets property | `Adw.Carousel:interactive`

#### Parameters

`interactive`

  Type: `gboolean`

  Whether `self` can be navigated.